Subject: bug#50935: minibuffer-electric-default-mode interface

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 02 Sep 2022 14:51:54 +0200

Stefan Kangas <[email-masked]> writes:

> I've now updated any prompt I could find to use `format-prompt' (by
> grepping for " (default ").  Maybe I've missed one or two, but that
> should mean that that the overwhelming majority of our prompts now
> respect `minibuffer-default-prompt-format'.  See commit 6640942221.
>
> With that, I think the option `minibuffer-eldef-shorten-default' should
> be declared obsolete, as in the attached patch, and consequently removed
> from the manual.  This change should go to master, of course.
>
> The command `minibuffer-electric-default-mode' shouldn't be declared
> obsolete as it does something different.

Makes sense to me, so I've now pushed this to Emacs 29 and am closing
this bug report.